# Create Stages

> Source: https://truto.one/docs/api-reference/unified-crm-api/stages/create/

`POST /unified/crm/stages`

Resource: **Stages** · API: **Unified CRM API**

## Supported integrations

Close, Outreach, Pipedrive, Pipeliner

## Query parameters

- **`integrated_account_id`** _(string, required)_
  The ID of the integrated account to use for the request.
- **`truto_response_format`** _(string)_
  The format of the response. - `unified` returns the response with unified mappings applied. - `raw` returns the unprocessed, raw response from the remote API. - `normalized` applies the unified mappings and returns the data in a normalized format. - `stream` returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory. Defaults to `unified`.
  Allowed: `unified`, `raw`, `normalized`, `stream`
- **`truto_ignore_remote_data`** _(boolean)_
  Excludes the `remote_data` attribute from the response.
- **`truto_exclude_fields`** _(array<string>)_
  Array of fields to exclude from the response.
- **`remote_query`** _(object)_
  Query parameters to pass to the underlying API without any transformations. Refer [this guide](https://truto.one/docs/api-reference/overview/querying#remote-query-parameters) to see how to structure the query parameters.

## Request body

- **`name`** _(string)_
  The stage's name
- **`pipeline`** _(object)_
  The pipeline this stage is part of
  - **`id`** _(string)_
    The pipeline's unique identifier
  - **`name`** _(string)_
    The name of the pipeline
- **`position`** _(number)_
  The order of stage in the pipeline
- **`status`** _(string)_
  The status of the stage
  Allowed: `active`, `inactive`, `active`, `inactive`
- **`remote_data`** _(object)_
  Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

## Response body

- **`id`** _(string, required)_
  The stage's unique identifier
- **`name`** _(string)_
  The stage's name
- **`position`** _(number)_
  The order of stage in the pipeline
- **`status`** _(string)_
  The status of the stage
  Allowed: `active`, `inactive`
- **`pipeline`** _(object)_
  The pipeline this stage is part of
  - **`id`** _(string)_
    The pipeline's unique identifier
  - **`name`** _(string)_
    The name of the pipeline
- **`created_at`** _(string)_
  The date and time of the stage's creation
- **`updated_at`** _(string)_
  The date and time of the stage's last update
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Code examples

### curl

```bash
curl -X POST 'https://api.truto.one/unified/crm/stages?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "your_name",
  "pipeline": {},
  "position": 0,
  "status": "active",
  "remote_data": {}
}'
```

### JavaScript

```javascript
const integratedAccountId = '<integrated_account_id>';

const body = {
  "name": "your_name",
  "pipeline": {},
  "position": 0,
  "status": "active",
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/crm/stages?integrated_account_id=${integratedAccountId}`, {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/unified/crm/stages"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "name": "your_name",
    "pipeline": {},
    "position": 0,
    "status": "active",
    "remote_data": {}
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())
```

### Truto TS SDK

```typescript
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.create(
  'crm',
  'stages',
  {
  "name": "your_name",
  "pipeline": {},
  "position": 0,
  "status": "active",
  "remote_data": {}
},
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
```

### Truto Python SDK

```python
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.create(
        "crm",
        "stages",
        {
        "name": "your_name",
        "pipeline": {},
        "position": 0,
        "status": "active",
        "remote_data": {}
},
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())
```
